Subject: Problem compiling G98 on Linux

From: Pedro Salvador <[email-masked]>
Date: Thu, 06 Jul 2000 12:37:25 +0100

Dear all

I've got the following message error when linking the g98 on a Linux RedHat
machine:

g77   -O2 -march=pentiumpro -malign-double -m486 -fexpensive-optimizations -O3
-ffast-math -funroll-loops  -c ml0.f
rm -f ml0.f ml0.c
make[1]: Leaving directory `/home/perico/g98'
g77    -O2 -march=pentiumpro -malign-double -m486 -fexpensive-optimizations -O3
-ffast-math -funroll-loops  -o g98 ml0.o   util.so
util.so: undefined reference to `wait_'
util.so: undefined reference to `fork_'
collect2: ld returned 1 exit status
make: *** [g98] Error 1
endif

It seems that it can't resolve a couple of functions which however are defined in
the mdutil.c file. Are they essential? Any suggestions?

thank you in advance

Pedro
--
/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\
I Pedro Salvador Sedano             I                              I
\ Ph.D. Student                     I  Butch: You okay?            /
I Universitat de Girona             I  Marcellus: No. I'm pretty   I
/ Institut de Quimica Computacional I       fuckin' far from okay. \
I E-mail: [email-masked]       I                              I
\ WWW :http://stark.udg.es/~perico  I           Pulp Fiction       /
I Telf: +34 972 418358              I                              I
\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/-\-/